<?php

use Tygh\Payments\Processors\GooyaPay;

if (!defined('BOOTSTRAP')) {
    die('Access denied');
}

function fn_gooyapay_install()
{
    fn_gooyapay_uninstall();
    $_data = array(
        'processor' => 'GooyaPay',
        'processor_script' => 'gooyapay.php',
        'processor_template' => 'views/orders/components/payments/cc_outside.tpl',
        'admin_template' => 'gooyapay.tpl',
        'callback' => 'Y',
        'type' => 'P',
        'addon' => 'gooyapay'
    );
    db_query("INSERT INTO ?:payment_processors ?e", $_data);
}

function fn_gooyapay_uninstall()
{
    db_query("DELETE FROM ?:payment_processors WHERE processor_script = ?s", "gooyapay.php");
}
